/* 
 * File:   Menu_IO.h
 * Author: Larry_Cicchinelli
 *
 * Created on Jan 24, 2019
 */

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef MENU_IO_H
#define	MENU_IO_H

// these are the defines which will enable/disable specific functions
//#define EN_ENTERTEXT
#define EN_GETNUMBER
#define EN_SELECT_N_ON_LINE
#define EN_SELECT_1_ON_LINE
//#define EN_SELECT_1_OF_LIST
#define EN_INT_TO_ASCII
#define EN_FP_TO_ASCII
#define EN_YES_NO
/******************************************************************************/

// These definitions are dependant on the hardware implementation
// and should be modified based on your hardware.

// The QE clock should generate an interrupt which should be ignored unless
// the variable QE_Int = 0.  This ensures that a new QE value will only be
// handled when the program is ready for it.
// The ISR should have code that looks like this:
//			if (!QE_Int) QE_Int = 1;	// show QE interrupt

	#define SW_QE_CLK		_RB7

	#define SW_QE_DIR		_RA7
	#define SW1_BIT			_RB3		// PB on quadrature encoder
	#define SW2_BIT			_RA3
	#define SW3_BIT			_RB4

// these definitions should probably NOT be changed
#define FILE_NAME_SIZE NBR_OF_COLS
#define MAX_LEVEL_ENTRIES 20 // maximumm nbr of entries for any one menu level

#endif	/* Menu_IO_H */
